# studio::Widget_ValueBase Class Reference

`#include <widget_value.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_value_changed ()
void | activate ()
sigc::signal< void > & | signal_activate ()
void | set_value (const synfig::ValueBase &data)
const synfig::ValueBase & | get_value ()
void | on_grab_focus ()
void | set_param_desc (const synfig::ParamDesc &x)
const synfig::ParamDesc & | get_param_desc ()
void | set_sensitive (bool x)
void | set_canvas (etl::handle< synfig::Canvas > x)
void | inside_cellrenderer ()
| Widget_ValueBase ()
| ~Widget_ValueBase ()

## Constructor & Destructor Documentation

Widget_ValueBase::Widget_ValueBase | ( |  | ) |

References activate(), DIGITS, studio::Widget_Filename::signal_activate(), studio::Widget_ColorEdit::signal_activate(), and studio::Widget_Vector::signal_activate().

Widget_ValueBase::~Widget_ValueBase | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::Widget_ValueBase::signal_value_changed | ( |  | ) | `[inline]`

void Widget_ValueBase::activate | ( |  | ) |

References signal_activate().

Referenced by Widget_ValueBase().

sigc::signal<void>& studio::Widget_ValueBase::signal_activate | ( |  | ) | `[inline]`

Referenced by activate(), and studio::LayerTree::LayerTree().

void Widget_ValueBase::set_value | ( | const synfig::ValueBase & | data | ) |

References studio::App::distance_system, studio::Widget_Vector::set_canvas(), studio::Widget_Time::set_fps(), studio::Widget_Enum::set_param_desc(), studio::Widget_CanvasChooser::set_parent_canvas(), studio::Widget_ColorEdit::set_value(), studio::Widget_Filename::set_value(), studio::Widget_CanvasChooser::set_value(), studio::Widget_Enum::set_value(), studio::Widget_Time::set_value(), studio::Widget_Distance::set_value(), and studio::Widget_Vector::set_value().

Referenced by studio::LayerTree::LayerTree(), and studio::Widget_Waypoint::set_waypoint().

const synfig::ValueBase & Widget_ValueBase::get_value | ( |  | ) |

References studio::Widget_ColorEdit::get_value(), studio::Widget_Filename::get_value(), studio::Widget_Enum::get_value(), studio::Widget_CanvasChooser::get_value(), studio::Widget_Time::get_value(), studio::Widget_Distance::get_value(), and studio::Widget_Vector::get_value().

Referenced by studio::Widget_Waypoint::get_waypoint().

void Widget_ValueBase::on_grab_focus | ( |  | ) |

void studio::Widget_ValueBase::set_param_desc | ( | const synfig::ParamDesc & | x | ) | `[inline]`

Referenced by studio::LayerTree::LayerTree().

const synfig::ParamDesc& studio::Widget_ValueBase::get_param_desc | ( |  | ) | `[inline]`

void Widget_ValueBase::set_sensitive | ( | bool | x | ) |

Referenced by studio::LayerTree::LayerTree().

void studio::Widget_ValueBase::set_canvas | ( | etl::handle< synfig::Canvas > | x | ) | `[inline]`

Referenced by studio::Widget_Waypoint::set_canvas(), and studio::Widget_Waypoint::Widget_Waypoint().

void Widget_ValueBase::inside_cellrenderer | ( |  | ) |

References studio::Widget_Filename::set_has_frame(), studio::Widget_ColorEdit::set_has_frame(), and studio::Widget_Vector::set_has_frame().

The documentation for this class was generated from the following files:

- widget_value.h
- widget_value.cpp